Sql Agent - Create Or Update

Hiermee wordt de configuratie van de nieuwe SQL-agent naar het exemplaar uitgevoerd.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/sqlAgent/current?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
managedInstanceName
path True

string

De naam van het beheerde exemplaar.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Aanvraagbody

Name Type Description
properties.state

SqlAgentConfigurationPropertiesState

De status van Sql Agent.

Antwoorden

Name Type Description
200 OK

SqlAgentConfiguration

De updateoperatie van de bron 'SqlAgentConfiguration' is geslaagd

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Puts new sql agent configuration to instance.

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/sqlAgent/current?api-version=2025-01-01

{
  "properties": {
    "state": "Enabled"
  }
}

Voorbeeldrespons

{
  "name": "current",
  "type": "Microsoft.Sql/managedInstances/sqlAgent",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/managedInstances/sqlcrudtest-4645/sqlAgent/current",
  "properties": {
    "state": "Enabled"
  }
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

SqlAgentConfiguration

Een herstelbare beheerde databaseresource.

SqlAgentConfigurationPropertiesState

De status van Sql Agent.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

SqlAgentConfiguration

Een herstelbare beheerde databaseresource.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.state

SqlAgentConfigurationPropertiesState

De status van Sql Agent.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

SqlAgentConfigurationPropertiesState

De status van Sql Agent.

Waarde Description
Enabled

Ingeschakeld

Disabled

Disabled

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.